<!-- Note: This file is automatically generated from source code comments. Changes made in this file will be overridden. -->

# Function acos

Calculate the inverse cosine of a value.

For matrices, the function is evaluated element wise.


## Syntax

```js
math.acos(x)
```

### Parameters

Parameter | Type | Description
--------- | ---- | -----------
`x` | number &#124; BigNumber &#124; Complex &#124; Array &#124; Matrix | Function input

### Returns

Type | Description
---- | -----------
number &#124; BigNumber &#124; Complex &#124; Array &#124; Matrix | The arc cosine of x


## Examples

```js
math.acos(0.5);           // returns number 1.0471975511965979
math.acos(math.cos(1.5)); // returns number 1.5

math.acos(2);             // returns Complex 0 + 1.3169578969248166 i
```


## See also

[cos](cos.md),
[atan](atan.md),
[asin](asin.md)
